<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" prefix="apt" section="in-commerce:affiliate_payment_types" title_preset="affiliate_payment_types_list" pagination="1" tabs="in-commerce/affiliate_plans/affiliate_list_tabs"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
  			//do not rename - this function is used in default grid for double click!
  			function edit()
  			{
  				std_edit_item('apt', 'in-commerce/affiliate_plans/affiliate_payment_types_edit');
  			}

  			var a_toolbar = new ToolBar();
				a_toolbar.AddButton( new ToolBarButton('new_item', '<inp2:m_phrase label="la_ToolTip_NewAffiliatePaymentType" escape="1"/>::<inp2:m_phrase label="la_ToolTip_Add" escape="1"/>',
						function() {
							std_precreate_item('apt', 'in-commerce/affiliate_plans/affiliate_payment_types_edit')
						} ) );

				a_toolbar.AddButton( new ToolBarButton('edit', '<inp2:m_phrase label="la_ToolTip_Edit" escape="1"/>', edit) );
				a_toolbar.AddButton( new ToolBarButton('delete', '<inp2:m_phrase label="la_ToolTip_Delete" escape="1"/>',
						function() {
							std_delete_items('apt')
						} ) );

				a_toolbar.AddButton( new ToolBarSeparator('sep6') );

				a_toolbar.AddButton( new ToolBarButton('setprimary', '<inp2:m_phrase label="la_ToolTip_setPrimary" escape="1"/>', function() {
							submit_event('apt','OnSetPrimary');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarButton('approve', '<inp2:m_phrase label="la_ToolTip_Approve" escape="1"/>', function() {
							submit_event('apt','OnMassApprove');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarButton('decline', '<inp2:m_phrase label="la_ToolTip_Decline" escape="1"/>', function() {
							submit_event('apt','OnMassDecline');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarSeparator('sep2') );

				a_toolbar.AddButton( new ToolBarButton('move_up', '<inp2:m_phrase label="la_ToolTip_MoveUp" escape="1"/>', function() {
							submit_event('apt','OnMassMoveUp');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarButton('move_down', '<inp2:m_phrase label="la_ToolTip_MoveDown" escape="1"/>', function() {
							submit_event('apt','OnMassMoveDown');
						}
				 ) );

				a_toolbar.Render();

			</script>
		</td>

		<inp2:m_RenderElement name="search_main_toolbar" prefix="apt" grid="Default"/>
	</tr>
</tbody>
</table>

<inp2:m_DefineElement name="affiliate_payment_type_caption_td">
	<inp2:Field field="$field" grid="$grid"/>
	<inp2:m_ifnot check="Field" field="Priority" equals_to="0"><span class="priority"><sup><inp2:Field field="Priority"/></sup></span></inp2:m_ifnot>
</inp2:m_DefineElement>

<inp2:m_RenderElement name="grid" PrefixSpecial="apt" IdField="PaymentTypeId" grid="Default"/>
<script type="text/javascript">
	Grids['apt'].SetDependantToolbarButtons( new Array('edit','delete','setprimary','approve','decline','move_up','move_down') );
</script>

<inp2:m_include t="incs/footer"/>